Skip to main content
POST
/
v6
/
auditTrail
/
query
Query audit trail
curl --request POST \
  --url https://sandbox.tight.com/v6/auditTrail/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "DATETIME",
    "direction": "ASC"
  },
  "filter": {
    "editor": {
      "userId": {
        "equal": "<string>",
        "notEqual": "<string>",
        "greaterThan": "<string>",
        "greaterThanEqual": "<string>",
        "lessThan": "<string>",
        "lessThanEqual": "<string>",
        "contain": "<string>"
      }
    },
    "company": {
      "id": {
        "equal": "<string>",
        "notEqual": "<string>",
        "greaterThan": "<string>",
        "greaterThanEqual": "<string>",
        "lessThan": "<string>",
        "lessThanEqual": "<string>",
        "contain": "<string>"
      },
      "apiCompanyId": {
        "equal": "<string>",
        "notEqual": "<string>",
        "greaterThan": "<string>",
        "greaterThanEqual": "<string>",
        "lessThan": "<string>",
        "lessThanEqual": "<string>",
        "contain": "<string>"
      }
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "aud_28868401",
      "company": {
        "id": "co_28868401",
        "name": "Acme Corp"
      },
      "editor": {
        "id": "emp_28868401",
        "userId": "usr_28868401",
        "email": "editor@example.com"
      },
      "action": "UPDATE",
      "datetime": "2023-11-07T05:31:56Z",
      "revisions": [
        {
          "internal_key": "some_internal_key",
          "some_other_field": 23434
        }
      ]
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.